<?php
class DinnerMenuIterator implements Iterator {
	private $items;
	private $position = 0;

	public function __construct( $items ) {
		$this->items = $items;	
	}

	public function next() {
		$menuItem = $this->items->get( $this->position );

		if( !is_null( $menuItem ) ) {
			$this->position++;
			return $menuItem;
		} else {
			return null;
		}
	}

	public function current() {
		return $this->items->get( $this->position );
	}

	public function key() {
		return $this->position;
	}

	public function rewind() {
		$this->position = 0;
	}

	public function valid() {
		return true;
	}
}

