<?php
class PancakeHouseMenu implements Menu {
	const MAX_ITEMS = 6;
	private $numberOfItems = 0;
	private $menuItems;

	public function __construct() {
		$this->menuItems = array();

		$this->addItem( "Vegetarian BLT", "(Fakin') Bacon with lettuce & tomato on whole wheat", true, 2.99 );
		$this->addItem( "BLT", "Bacon with lettuce & tomato on whole wheat", false, 2.99 );
		$this->addItem( "Soup of the day", "Soup of the day with a side of potato salad", false, 3.29 );
		$this->addItem( "Hotdog", "A hotdog, with saurkraut, relish, onions, topped with cheese", false, 3.05 );

		// a couple of other Dinner Menu items added here
	}

	private function addItem( $name, $description, $vegetarian, $price ) {
		$menuItem = new MenuItem( $name, $description, $vegetarian, $price );
		if( $this->numberOfItems >= static::MAX_ITEMS ) {
			echo "\nSorry, menu is full! Can't add item to menu.";
		} else {
			$this->menuItems[ $this->numberOfItems ] = $menuItem;
			$this->numberOfItems++;
		}
	}

	public function createIterator() {
		return new PancakeHouseMenuIterator( $this->menuItems );
	}

	// other methods here...
}

